package main

import (
	"fmt"
	"os"
	"sampleapp"
	"sampleapp/customersvc"

	mgo "gopkg.in/mgo.v2-unstable"
)

func main() {
	// Load session
	dbUrl := os.Getenv("DBHOST")
	if dbUrl == "" {
		dbUrl = "localhost" // default
	}
	sess, err := mgo.Dial(dbUrl)
	if err != nil {
		panic(err)
	}
	db := sess.DB("sample_watt")

	s := sampleapp.New()
	// This kind of injection is not a good practice
	s.CustomerSVC = &customersvc.Service{db}
	port := "8080"
	if nport := os.Getenv("PORT"); nport != "" {
		port = nport
	}
	// Initialize things like DB

	s.ListenAndServe(fmt.Sprintf(":%s", port))
}
